### Function

# ECal util_component_has_x_property

since: 3.34

#### Declaration [src]

    gboolean
    e_cal_util_component_has_x_property (
      ICalComponent* icalcomp,
      const gchar* x_name
    )

#### Description [src]

Returns, whether the `icalcomp` contains X property named `x_name`. To check for standard property use e_cal_util_component_has_property().

Available since: 3.34

#### Parameters

`icalcomp`

  Type: `None`

  An `ICalComponent`.

  The data is owned by the caller of the function.

`x_name`

  Type: `const gchar*`

  Name of the X property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether the `icalcomp` contains X property named `x_name`.